Subject: [RFC] Syntax highlighting for combined diff

From: Jakub Narebski <[email-masked]>
Date: Sat, 21 Oct 2006 02:35:41 +0200

Linus Torvalds wrote in "Re: VCS comparison table"

> And "gitweb" does consider the first parent special, since it shows diffs 
> against that one (although I've argued that it probably shouldn't, and 
> that there should be some way to show branches against arbitrary parents)

So the question is how to color combined diff format (what should be syntax
highlighting for combined diff format). If branches columns have only
pluses we use the same color as for adding line in ordinary diff; if
branches column consist only of minuses we use the same color as for
removing line in ordinary diff. Can there be mixture of plusses and
minuses? How git-diff --color solves this?

Should we in gitweb output change color slightly depending on number of
plusses or minuses?
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git